﻿using System;
using System.Collections.Generic;
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace SimpleSample
{
	public partial class TrackballSample : ContentPage
	{
		public TrackballSample()
		{
			InitializeComponent();
		}
	}

	public class ChartTrackballBehaviorExt : ChartTrackballBehavior
	{
		public ChartExt chart { get; set; }

		public ChartTrackballBehaviorExt()
		{

		}

		protected override void OnLongPress(float pointX, float pointY)
		{
			chart.TrackballVisible = true;

			base.OnLongPress(pointX, pointY);
		}

		protected override void OnTouchUp(float pointX, float pointY)
		{
			base.OnTouchUp(pointX, pointY);
		}

		//For iOS after long press TouchUp method called here
		public void TouchUp(float pointX, float pointY)
		{
			if (chart != null)
			{
				chart.TrackballVisible = false;
				//check your logic here 
			}
		}
	}

	public class ChartExt : SfChart
	{
		internal bool TrackballVisible { get; set; }
	}
}