﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;

namespace SimpleSample
{
    public class ViewModel
    {
        public ObservableCollection<Model> Data { get; set; }

        public ViewModel()
        {
            DateTime dateTime = new DateTime(2018, 1, 1);
            
            Data = new ObservableCollection<Model>
            {
                new Model() { XValue = "Tokyo Traders", YValue = 512 },
                new Model() { XValue = "Exotic Liquids", YValue = 552 },
                new Model() { XValue = "Speciality ", YValue = 592 },
                new Model() { XValue = "Pavlova, Ltd", YValue = 880 },
                new Model() { XValue = "New Oreleans", YValue = 1060 },
            };
        }
    }

    public class Model
    {
        public double YValue
        {
            get;
            set;
        }
        
        public object XValue
        {
            get;
            set;
        }
    }
}
